#2572 closed defect (fixed)

m68k/mcf5206elite: linker script update (add KEEP() sections)

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: Indefinite
Component: bsps Version: 5
Severity: normal Keywords: function sections, KEEP
Cc: Blocked By:
Blocking:

Description

This BSP's linker script does not include KEEP() directives and thus cannot have per-function and per-data element section support enabled.

The preferred solution is to convert the BSP to use a shared base linker script. The acceptable solution is to add the proper KEEP directives to the existing linker script(s).

Shared linker scripts for the arm, m68k, and sparc have the proper KEEP sections and can serve as examples.

Change History (5)

comment:1 Changed on Feb 15, 2017 at 1:49:47 PM by Sebastian Huber

Owner: set to Joel Sherrill
Status: newassigned

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Aug 24, 2017 at 5:59:58 AM by Sebastian Huber

Milestone: 4.12.0Indefinite

comment:4 Changed on Sep 14, 2018 at 7:00:08 PM by Joel Sherrill

Keywords: function sections KEEP added

comment:5 Changed on Nov 29, 2018 at 7:02:31 PM by Shashvat Jain <shashvatjain2002@…>

Resolution: fixed
Status: assignedclosed

In f57d4d5/rtems:

m68k/mcf5206elite:Add per-section compilation and linking support (GCI 2018)

The size of the sample executables without this option were:

text data bss dec hex filename

70704 1104 11008 82816 14380 ./base_sp.exe

202640 2096 14288 219024 35790 ./capture.exe
240416 2864 12016 255296 3e540 ./cdtest.exe
851024 21840 18736 891600 d9ad0 ./cxx_iostream.exe
570560 4640 23760 598960 923b0 ./fileio.exe
104928 1456 11168 117552 1cb30 ./hello.exe
249904 5968 17776 273648 42cf0 ./loopback.exe

38304 288 6864 45456 b190 ./minimum.exe
94416 1584 11136 107136 1a280 ./nsecs.exe

179728 1856 11744 193328 2f330 ./paranoia.exe
435296 12048 40912 488256 77340 ./pppd.exe

73856 1120 11040 86016 15000 ./ticker.exe
74048 1072 14928 90048 15fc0 ./unlimited.exe

The size of the sample executables with this option were:

text data bss dec hex filename

172384 2176 12160 186720 2d960 ./cxx_iostream.exe
558320 4608 23440 586368 8f280 ./fileio.exe

96256 1456 11136 108848 1a930 ./hello.exe

234144 5968 17712 257824 3ef20 ./loopback.exe

37648 288 6832 44768 aee0 ./minimum.exe
88560 1568 11056 101184 18b40 ./nsecs.exe

171360 1856 11712 184928 2d260 ./paranoia.exe
422992 12032 40848 475872 742e0 ./pppd.exe

69120 1120 10960 81200 13d30 ./ticker.exe
72464 1072 14896 88432 15970 ./unlimited.exe
66256 1088 10928 78272 131c0 ./base_sp.exe

189296 2096 14256 205648 32350 ./capture.exe
172272 2096 11968 186336 2d7e0 ./cdtest.exe

Closes #2572

Note: See TracTickets for help on using tickets.